; ----------------------------------------
; AutoIT Options
; ----------------------------------------
Opt("TrayMenuMode", 1)    ; Default tray menu items (Script Paused/Exit) will not be shown.
Opt("TrayOnEventMode", 1)
Opt("GUIOnEventMode", 1)

; ----------------------------------------
; Include
; ----------------------------------------
#Include <GUIConstants.au3>
#Include <Constants.au3>
#Include <Process.au3>

If WinExists("HotKeys") Then
	WinKill("HotKeys")
EndIf	

; ----------------------------------------
; TrayMenu
; ----------------------------------------

$Einstellungen = TrayCreateItem("Einstellungen")
TrayItemSetOnEvent($Einstellungen, "_qui")

TrayCreateItem("")

$Info = TrayCreateItem("ber ...")
TrayItemSetOnEvent($Info, "_info")

TrayCreateItem("")

$Exit = TrayCreateItem("Beenden")
TrayItemSetOnEvent($Exit, "_exit")

; ----------------------------------------
; Einstellungen einlesen
; ----------------------------------------

$key1 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_1", "HotKey", "")
$trim1 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_1", "Pfad", ""), 1)
$pfad1 = StringTrimLeft($trim1, 1)

$key2 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_2", "HotKey", "")
$trim2 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_2", "Pfad", ""), 1)
$pfad2 = StringTrimLeft($trim2, 1)

$key3 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_3", "HotKey", "")
$trim3 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_3", "Pfad", ""), 1)
$pfad3 = StringTrimLeft($trim3, 1)

$key4 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_4", "HotKey", "")
$trim4 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_4", "Pfad", ""), 1)
$pfad4 = StringTrimLeft($trim4, 1)

$key5 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_5", "HotKey", "")
$trim5 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_5", "Pfad", ""), 1)
$pfad5 = StringTrimLeft($trim5, 1)

$key6 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_6", "HotKey", "")
$trim6 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_6", "Pfad", ""), 1)
$pfad6 = StringTrimLeft($trim6, 1)

$key7 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_7", "HotKey", "")
$trim7 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_7", "Pfad", ""), 1)
$pfad7 = StringTrimLeft($trim7, 1)

$key8 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_8", "HotKey", "")
$trim8 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_8", "Pfad", ""), 1)
$pfad8 = StringTrimLeft($trim8, 1)

$key9 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_9", "HotKey", "")
$trim9 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_9", "Pfad", ""), 1)
$pfad9 = StringTrimLeft($trim9, 1)

$key10 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_10", "HotKey", "")
$trim10 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_10", "Pfad", ""), 1)
$pfad10 = StringTrimLeft($trim10, 1)

$key11 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_11", "HotKey", "")
$trim11 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_11", "Pfad", ""), 1)
$pfad11 = StringTrimLeft($trim11, 1)

$key12 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_12", "HotKey", "")
$trim12 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_12", "Pfad", ""), 1)
$pfad12 = StringTrimLeft($trim12, 1)

$key13 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_13", "HotKey", "")
$trim13 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_13", "Pfad", ""), 1)
$pfad13 = StringTrimLeft($trim13, 1)

$key14 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_14", "HotKey", "")
$trim14 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_14", "Pfad", ""), 1)
$pfad14 = StringTrimLeft($trim14, 1)

$key15 = 	IniRead(@ScriptDir & "\settings.hk", "HotKey_15", "HotKey", "")
$trim15 = StringTrimRight(IniRead(@ScriptDir & "\settings.hk", "HotKey_15", "Pfad", ""), 1)
$pfad15 = StringTrimLeft($trim15, 1)

$Autostart = IniRead(@ScriptDir & "\settings.hk", "Autostart", "Key", "")

; ----------------------------------------
; HotKeys
; ----------------------------------------

HotKeySet("^!" & $key1, "_open1")
HotKeySet("^!" & $key2, "_open2")
HotKeySet("^!" & $key3, "_open3")
HotKeySet("^!" & $key4, "_open4")
HotKeySet("^!" & $key5, "_open5")
HotKeySet("^!" & $key6, "_open6")
HotKeySet("^!" & $key7, "_open7")
HotKeySet("^!" & $key8, "_open8")
HotKeySet("^!" & $key9, "_open9")
HotKeySet("^!" & $key10, "_open10")
HotKeySet("^!" & $key11, "_open11")
HotKeySet("^!" & $key12, "_open12")
HotKeySet("^!" & $key13, "_open13")
HotKeySet("^!" & $key14, "_open14")
HotKeySet("^!" & $key15, "_open15")

; ----------------------------------------
; Einstellungen GUI
; ----------------------------------------

$Settings = GUICreate("HotKeys", 437, 525)
GUISetIcon("HotKeys.ico")

;HotKey 1
GUICtrlCreateLabel("STRG + ALT + ", 15, 15, 78, 17)
$Input1 = GUICtrlCreateInput("", 95, 12, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key1)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input2 = GUICtrlCreateInput("", 151, 12, 225, 21)
GUICtrlSetData(-1, $pfad1)
$Button1 = GUICtrlCreateButton("...", 382, 12, 40, 20)
GUICtrlSetOnEvent($Button1, "_pfad1")

;HotKey 2
GUICtrlCreateLabel("STRG + ALT + ", 15, 45, 78, 17)
$Input3 = GUICtrlCreateInput("", 95, 42, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key2)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input4 = GUICtrlCreateInput("", 151, 42, 225, 21)
GUICtrlSetData(-1, $pfad2)
$Button2 = GUICtrlCreateButton("...", 382, 42, 40, 20)
GUICtrlSetOnEvent($Button2, "_pfad2")

;HotKey 3
GUICtrlCreateLabel("STRG + ALT + ", 15, 75, 78, 17)
$Input5 = GUICtrlCreateInput("", 95, 72, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key3)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input6 = GUICtrlCreateInput("", 151, 72, 225, 21)
GUICtrlSetData(-1, $pfad3)
$Button3 = GUICtrlCreateButton("...", 382, 72, 40, 20)
GUICtrlSetOnEvent($Button3, "_pfad3")

;HotKey 4
GUICtrlCreateLabel("STRG + ALT + ", 15, 105, 78, 17)
$Input7 = GUICtrlCreateInput("", 95, 102, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key4)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input8 = GUICtrlCreateInput("", 151, 102, 225, 21)
GUICtrlSetData(-1, $pfad4)
$Button4 = GUICtrlCreateButton("...", 382, 102, 40, 20)
GUICtrlSetOnEvent($Button4, "_pfad4")

;HotKey 5
GUICtrlCreateLabel("STRG + ALT + ", 15, 135, 78, 17)
$Input9 = GUICtrlCreateInput("", 95, 132, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key5)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input10 = GUICtrlCreateInput("", 151, 132, 225, 21)
GUICtrlSetData(-1, $pfad5)
$Button5 = GUICtrlCreateButton("...", 382, 132, 40, 20)
GUICtrlSetOnEvent($Button5, "_pfad5")

;HotKey 6
GUICtrlCreateLabel("STRG + ALT + ", 15, 165, 78, 17)
$Input11 = GUICtrlCreateInput("", 95, 162, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key6)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input12 = GUICtrlCreateInput("", 151, 162, 225, 21)
GUICtrlSetData(-1, $pfad6)
$Button6 = GUICtrlCreateButton("...", 382, 162, 40, 20)
GUICtrlSetOnEvent($Button6, "_pfad6")

;HotKey 7
GUICtrlCreateLabel("STRG + ALT + ", 15, 195, 78, 17)
$Input13 = GUICtrlCreateInput("", 95, 192, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key7)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input14 = GUICtrlCreateInput("", 151, 192, 225, 21)
GUICtrlSetData(-1, $pfad7)
$Button7 = GUICtrlCreateButton("...", 382, 192, 40, 20)
GUICtrlSetOnEvent($Button7, "_pfad7")

;HotKey 8
GUICtrlCreateLabel("STRG + ALT + ", 15, 225, 78, 17)
$Input15 = GUICtrlCreateInput("", 95, 222, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key8)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input16 = GUICtrlCreateInput("", 151, 222, 225, 21)
GUICtrlSetData(-1, $pfad8)
$Button8 = GUICtrlCreateButton("...", 382, 222, 40, 20)
GUICtrlSetOnEvent($Button8, "_pfad8")

;HotKey 9
GUICtrlCreateLabel("STRG + ALT + ", 15, 255, 78, 17)
$Input17 = GUICtrlCreateInput("", 95, 252, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key9)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input18 = GUICtrlCreateInput("", 151, 252, 225, 21)
GUICtrlSetData(-1, $pfad9)
$Button9 = GUICtrlCreateButton("...", 382, 252, 40, 20)
GUICtrlSetOnEvent($Button9, "_pfad9")

;HotKey 10
GUICtrlCreateLabel("STRG + ALT + ", 15, 285, 78, 17)
$Input19 = GUICtrlCreateInput("", 95, 282, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key10)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input20 = GUICtrlCreateInput("", 151, 282, 225, 21)
GUICtrlSetData(-1, $pfad10)
$Button10 = GUICtrlCreateButton("...", 382, 282, 40, 20)
GUICtrlSetOnEvent($Button10, "_pfad10")

;HotKey 11
GUICtrlCreateLabel("STRG + ALT + ", 15, 315, 78, 17)
$Input21 = GUICtrlCreateInput("", 95, 312, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key11)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input22 = GUICtrlCreateInput("", 151, 312, 225, 21)
GUICtrlSetData(-1, $pfad11)
$Button11 = GUICtrlCreateButton("...", 382, 312, 40, 20)
GUICtrlSetOnEvent($Button11, "_pfad11")

;HotKey 12
GUICtrlCreateLabel("STRG + ALT + ", 15, 345, 78, 17)
$Input23 = GUICtrlCreateInput("", 95, 342, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key12)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input24 = GUICtrlCreateInput("", 151, 342, 225, 21)
GUICtrlSetData(-1, $pfad12)
$Button12 = GUICtrlCreateButton("...", 382, 342, 40, 20)
GUICtrlSetOnEvent($Button12, "_pfad12")

;HotKey 13
GUICtrlCreateLabel("STRG + ALT + ", 15, 375, 78, 17)
$Input25 = GUICtrlCreateInput("", 95, 372, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key13)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input26 = GUICtrlCreateInput("", 151, 372, 225, 21)
GUICtrlSetData(-1, $pfad13)
$Button13 = GUICtrlCreateButton("...", 382, 372, 40, 20)
GUICtrlSetOnEvent($Button13, "_pfad13")

;HotKey 14
GUICtrlCreateLabel("STRG + ALT + ", 15, 405, 78, 17)
$Input27 = GUICtrlCreateInput("", 95, 402, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key14)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input28 = GUICtrlCreateInput("", 151, 402, 225, 21)
GUICtrlSetData(-1, $pfad14)
$Button14 = GUICtrlCreateButton("...", 382, 402, 40, 20)
GUICtrlSetOnEvent($Button14, "_pfad14")

;HotKey 15
GUICtrlCreateLabel("STRG + ALT + ", 15, 435, 78, 17)
$Input29 = GUICtrlCreateInput("", 95, 432, 32, 21, $ES_CENTER)
GUICtrlSetData(-1, $key15)
GUICtrlSetFont(-1, 8, 800, 0, "MS Sans Serif")
GUICtrlSetColor(-1, 0x0000FF)
$Input30 = GUICtrlCreateInput("", 151, 432, 225, 21)
GUICtrlSetData(-1, $pfad15)
$Button15 = GUICtrlCreateButton("...", 382, 432, 40, 20)
GUICtrlSetOnEvent($Button15, "_pfad15")

$Checkbox = GUICtrlCreateCheckbox("Starte mit Windows", 165, 465, 114, 17)
GUICtrlSetState(-1, $Autostart)

$Save = GUICtrlCreateButton("Speichern", 120, 495, 75, 25, 0)
GUICtrlSetOnEvent($Save, "_save")
$abbrechen = GUICtrlCreateButton("Abbrechen", 245, 495, 75, 25, 0)
GUICtrlSetOnEvent($abbrechen, "_abbrechen")

GUISetOnEvent($GUI_EVENT_CLOSE, "_exit")
GUISetState(@SW_HIDE)

;~  ----------------------------------------------------------------------------

TraySetState()

While 1
	Sleep(10)
WEnd

Exit

; ----------------------------------------
; Einstellungen zeigen
; ----------------------------------------

Func _qui()
	GUISetState(@SW_SHOW, $Settings)
EndFunc	

; ----------------------------------------
; Info zeigen
; ----------------------------------------

Func _info()
	Msgbox(64, "ber HotKeys:", "HotKeys v1.0" & @LF & " bY Analyzer" & @LF & "email: Robert_2k2@online.de" & @LF & "www.autoit.aufwaerts.de")
EndFunc	

; ----------------------------------------
; HotKeys Beenden
; ----------------------------------------

Func _exit()
	Exit
EndFunc	

; ----------------------------------------
; Datei auswhlen
; ----------------------------------------

Func _pfad1()
	$prog1 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input2, $prog1)
EndFunc	
Func _pfad2()
	$prog2 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input4, $prog2)
EndFunc	
Func _pfad3()
	$prog3 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input6, $prog3)
EndFunc	
Func _pfad4()
	$prog4 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input8, $prog4)
EndFunc	
Func _pfad5()
	$prog5 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input10, $prog5)
EndFunc	
Func _pfad6()
	$prog6 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input12, $prog6)
EndFunc	
Func _pfad7()
	$prog7 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input14, $prog7)
EndFunc	
Func _pfad8()
	$prog8 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input16, $prog8)
EndFunc	
Func _pfad9()
	$prog9 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input18, $prog9)
EndFunc	
Func _pfad10()
	$prog10 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input20, $prog10)
EndFunc	
Func _pfad11()
	$prog11 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input22, $prog11)
EndFunc	
Func _pfad12()
	$prog12 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input24, $prog12)
EndFunc	
Func _pfad13()
	$prog13 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input26, $prog13)
EndFunc	
Func _pfad14()
	$prog14 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input28, $prog14)
EndFunc	
Func _pfad15()
	$prog15 =	FileOpenDialog("Whle Datei", @ProgramFilesDir, "Alle (*.*)", 1 + 4 )
				GUICtrlSetData($Input30, $prog15)
EndFunc	

; ----------------------------------------
; Einstellungen speichern
; ----------------------------------------

Func _save()	
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_1", "HotKey", GUICtrlRead($Input1))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_1", "Pfad", "'""" & GUICtrlRead($Input2) & """'")

	IniWrite(@ScriptDir & "\settings.hk", "HotKey_2", "HotKey", GUICtrlRead($Input3))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_2", "Pfad", "'""" & GUICtrlRead($Input4) & """'")

	IniWrite(@ScriptDir & "\settings.hk", "HotKey_3", "HotKey", GUICtrlRead($Input5))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_3", "Pfad", "'""" & GUICtrlRead($Input6) & """'")

	IniWrite(@ScriptDir & "\settings.hk", "HotKey_4", "HotKey", GUICtrlRead($Input7))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_4", "Pfad", "'""" & GUICtrlRead($Input8) & """'")

	IniWrite(@ScriptDir & "\settings.hk", "HotKey_5", "HotKey", GUICtrlRead($Input9))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_5", "Pfad", "'""" & GUICtrlRead($Input10) & """'")

	IniWrite(@ScriptDir & "\settings.hk", "HotKey_6", "HotKey", GUICtrlRead($Input11))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_6", "Pfad", "'""" & GUICtrlRead($Input12) & """'")

	IniWrite(@ScriptDir & "\settings.hk", "HotKey_7", "HotKey", GUICtrlRead($Input13))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_7", "Pfad", "'""" & GUICtrlRead($Input14) & """'")
	
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_8", "HotKey", GUICtrlRead($Input15))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_8", "Pfad", "'""" & GUICtrlRead($Input16) & """'")
	
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_9", "HotKey", GUICtrlRead($Input17))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_9", "Pfad", "'""" & GUICtrlRead($Input18) & """'")
	
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_10", "HotKey", GUICtrlRead($Input19))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_10", "Pfad", "'""" & GUICtrlRead($Input20) & """'")
	
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_11", "HotKey", GUICtrlRead($Input21))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_11", "Pfad", "'""" & GUICtrlRead($Input22) & """'")
	
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_12", "HotKey", GUICtrlRead($Input23))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_12", "Pfad", "'""" & GUICtrlRead($Input24) & """'")
	
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_13", "HotKey", GUICtrlRead($Input25))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_13", "Pfad", "'""" & GUICtrlRead($Input26) & """'")
	
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_14", "HotKey", GUICtrlRead($Input27))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_14", "Pfad", "'""" & GUICtrlRead($Input28) & """'")
	
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_15", "HotKey", GUICtrlRead($Input29))
	IniWrite(@ScriptDir & "\settings.hk", "HotKey_15", "Pfad", "'""" & GUICtrlRead($Input30) & """'")
	
	IniWrite(@ScriptDir & "\settings.hk", "Autostart", "Key", GUICtrlRead($Checkbox))
	
	If GUICtrlRead($Checkbox) = "4" Then
		RegDelete("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run", "HotKeys")
	EndIf
	If GUICtrlRead($Checkbox) = "1" Then
		RegWrite("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Run", "HotKeys", "REG_SZ", @ScriptFullPath)
	EndIf	
	
	Run(@ScriptFullPath)
	
	Exit
	
EndFunc	

; ----------------------------------------
; Einstellungen Abbrechen
; ----------------------------------------

Func _abbrechen()
	GUISetState(@SW_HIDE, $Settings)
EndFunc	

; ----------------------------------------
; HotKeys ausfhren
; ----------------------------------------

Func _open1()
	$pfad1=		IniRead(@ScriptDir & "\settings.hk", "HotKey_1", "Pfad", "")
	_RunDOS($pfad1)
EndFunc	
Func _open2()
	$pfad2=		IniRead(@ScriptDir & "\settings.hk", "HotKey_2", "Pfad", "")
	_RunDOS($pfad2)
EndFunc	
Func _open3()
	$pfad3=		IniRead(@ScriptDir & "\settings.hk", "HotKey_3", "Pfad", "")
	_RunDOS($pfad3)
EndFunc	
Func _open4()
	$pfad4=		IniRead(@ScriptDir & "\settings.hk", "HotKey_4", "Pfad", "")
	_RunDOS($pfad4)
EndFunc	
Func _open5()
	$pfad5=		IniRead(@ScriptDir & "\settings.hk", "HotKey_5", "Pfad", "")
	_RunDOS($pfad5)
EndFunc	
Func _open6()
	$pfad6=		IniRead(@ScriptDir & "\settings.hk", "HotKey_6", "Pfad", "")
	_RunDOS($pfad6)
EndFunc	
Func _open7()
	$pfad7=		IniRead(@ScriptDir & "\settings.hk", "HotKey_7", "Pfad", "")
	_RunDOS($pfad7)
EndFunc	
Func _open8()
	$pfad8=		IniRead(@ScriptDir & "\settings.hk", "HotKey_8", "Pfad", "")
	_RunDOS($pfad8)
EndFunc	
Func _open9()
	$pfad9=		IniRead(@ScriptDir & "\settings.hk", "HotKey_9", "Pfad", "")
	_RunDOS($pfad9)
EndFunc	
Func _open10()
	$pfad10=		IniRead(@ScriptDir & "\settings.hk", "HotKey_10", "Pfad", "")
	_RunDOS($pfad10)
EndFunc	
Func _open11()
	$pfad11=		IniRead(@ScriptDir & "\settings.hk", "HotKey_11", "Pfad", "")
	_RunDOS($pfad11)
EndFunc	
Func _open12()
	$pfad12=		IniRead(@ScriptDir & "\settings.hk", "HotKey_12", "Pfad", "")
	_RunDOS($pfad12)
EndFunc	
Func _open13()
	$pfad13=		IniRead(@ScriptDir & "\settings.hk", "HotKey_13", "Pfad", "")
	_RunDOS($pfad13)
EndFunc	
Func _open14()
	$pfad14=		IniRead(@ScriptDir & "\settings.hk", "HotKey_14", "Pfad", "")
	_RunDOS($pfad14)
EndFunc	
Func _open15()
	$pfad15=		IniRead(@ScriptDir & "\settings.hk", "HotKey_15", "Pfad", "")
	_RunDOS($pfad15)
EndFunc	

